; Skoool Package Installer
; Sarah Cowan :: 7-FEB-2005

;--------------------------------------
;Define Courseware Variables which may change between lessons

!define CW_Alias_Name "uk_ks3_watlc"		 #Package Name
!define CW_Launch_Page "launch.html"				 #Page to autolaunch after install
!define CW_Local_Source "W:\empc\chemistry\Learning Object\Final Builds"	 #Loc to get files from for build
!define CW_Local_Dest "W:\empc\packages" #Dest of package after build
!define CW_Package_Icon "W:\SKOOOL.UK\lessons\skoool.ico"	#Loc of package icon

;--------------------------------------
;Define Courseware Variables which should stay constant between lessons

!define CW_Content_Folder "content"				#Folder to users PC for content
!define CW_Database_Folder "database"				#Folder on users PC for manifest
!define LS_Refresh_Seed "refresh.xml"				#Name of file to trigger refresh

!define LS_Launch_Seed "launch.xml"				#Name of file to trigger launch; Notes
; Course manifest must be in the root folder of the lesson at the time of packaging
; Course manifest must be called <alias>.xml - e.g. follower.xml

;--------------------------------------
;Perform A Silent Install

SilentInstall silent

;--------------------------------------
; Icon File for package
Icon ${CW_Package_Icon}

;--------------------------------------
;Title Of Your Application

Name "Local Skoool"

;--------------------------------------
;Do A CRC Check

CRCCheck On

;--------------------------------------
;Output File Name

OutFile "${CW_Local_Dest}\${CW_Alias_Name}.exe"

;--------------------------------------
;The Default Installation Directory

InstallDir "$PROGRAMFILES\skoool\uk\Local Skoool"
InstallDirRegKey HKLM "Software\Skoool\uk\Local Skoool" Local_Skoool_Root


;--------------------------------------
;Delete any previous version of the content
Section "Delete"
   ;remove course manifest
   Delete $INSTDIR\${CW_Database_Folder}\${CW_Alias_Name}.xml
   ;remove course content
   RMDir /r $INSTDIR\${CW_Content_Folder}\${CW_Alias_Name}
SectionEnd

;--------------------------------------
;Set the install folder and where to get the source files from

Section "Install"
SetAutoClose True
  ;Install Files
  SetOutPath $INSTDIR\${CW_Content_Folder}
  SetCompress Auto
  SetOverwrite IfNewer
  File /r "${CW_Local_Source}\${CW_Alias_Name}"
  CreateDirectory "$INSTDIR\${CW_Database_Folder}"
  CopyFiles "$INSTDIR\${CW_Content_Folder}\${CW_Alias_Name}\${CW_Alias_Name}.xml" "$INSTDIR\${CW_Database_Folder}\"

SectionEnd


;--------------------------------------
;Create the refresh file to trigger Local Skoool Window Refresh

Section "Refresh"
FileOpen $0 "$INSTDIR\${CW_Database_Folder}\${LS_Refresh_Seed}" "w"
FileWrite $0 "<XML>refreshme</XML>"
FileClose $0
SectionEnd

;--------------------------------------
;Create the launch file to trigger courseware launch

Section "Launch"
FileOpen $0 "$INSTDIR\${CW_Database_Folder}\${LS_Launch_Seed}" "w"
FileWrite $0 "<alias>${CW_Alias_Name}</alias>"
FileClose $0
SectionEnd








